.ds-accwm {
    --background_color: var(--Transparent);
    --text_color: var(--Neutral-900);
    --link_color:  var(--text_color);

    --anim_duration: 300ms;

    background-color: var(--background_color);
}

.c-ds.ds-accwm {
    color: var(--text_color);
}

.c-ds.ds-accwm a {
    color: var(--link_color);
}

.ds-accwm__body {
    display: flex;
    flex-direction: column-reverse;

    gap: 0.75rem;
}

.ds-accwm-descr {
    margin-block-start: 0.5rem;
}

.ds-accwm-media-image {
    border-radius: 0.5rem;

    width: 100%;
    height: auto;
    vertical-align: top;
}

.ds-accwm .ds-acc {
    margin-block: 1rem 0;
}

.ds-accwm-start .ds-section-in-title {
	color: var(--title_color);
}

.ds-acc {
    counter-reset: ds-acc;

    margin: 0;
    padding: 0;
    list-style-type: none;
}

.ds-acc-item {
	transition: all .3s ease;
}

.ds-acc-item-title {
    margin-block: 0;
}

.ds-acc-item-btn {
    appearance: none;
    margin: 0;
    background: none;
    border: none;

    position: relative;

    display: flex;
    gap: 0.5rem;

    width: 100%;

    font-family: var(--ds-font-content);

    font-weight: 600;
    font-size: 1rem;
    line-height: 1.5;
    letter-spacing: 0.02rem;

    color: var(--title_color);

    text-align: start;

    padding-inline: 0.5rem 2.5rem;
    padding-block: 1.25rem;

    border-block-end: 0.0625rem solid var(--border_color);

		transition: all .3s ease;
}

.ds-acc-item.-opened- .ds-acc-item-btn {
	color: var(--title_color_active);
	border-color: var(--border_color_active);
}

.ds-acc-item.-opened- {
	border-color: var(--border_color_active);
}

.ds-acc-item:hover {
	border-color: var(--border_color_hover);
}

.ds-acc-item:hover .ds-acc-item-btn {
	color: var(--title_color_hover);
	border-color: var(--border_color_hover);
}

.ds-acc-item.-opened- .ds-acc-item-content {
	color: var(--text_color_active);
}

.ds-acc-item:hover .ds-acc-item-content {
	color: var(--text_color_hover);
}

.ds-acc-item .ds-btn--type-link:hover {
	color: var(--link_color_hover);
}

.ds-acc-item .ds-btn--type-link:active {
	color: var(--link_color_active);
}

.ds-acc-item-btn-index {
    margin-block: 0.0625rem -0.1875rem;
		min-width: 2.5rem !important;
}

.ds-acc-item-btn-index:before {
    counter-increment: ds-acc;

    content: counter(ds-acc, decimal-leading-zero) '.';

    font-weight: 400;
    font-size: 1.5rem;
    line-height: 1.16666667;
}

body * > *.ds-acc-item-btn-index:before, body *.ds-acc-item-btn-index:before, body .ds-reset-fonts * > *.ds-acc-item-btn-index:before, body .ds-reset-fonts *.ds-acc-item-btn-index:before {
	font-family: 'IBM Plex Mono', sans-serif !important;
}

.ds-acc-item-btn:before,
.ds-acc-item-btn:after {
    content: '';

    position: absolute;

    pointer-events: none;

    width: 0.875rem;
    height: 0.125rem;

    border-radius: 0.125rem;

    background-color: var(--title_color);

    inset-inline-end: 0.75rem;
    inset-block-start: 50%;

    margin-block-start: -0.125rem;
}

.ds-acc-item.-opened- .ds-acc-item-btn:before,
.ds-acc-item.-opened- .ds-acc-item-btn:after {
		background-color: var(--title_color_active);
}

.ds-acc-item:hover .ds-acc-item-btn:before,
.ds-acc-item:hover .ds-acc-item-btn:after {
		background-color: var(--title_color_hover);
}

.ds-acc-item-btn:after {
    transform: rotate(90deg);

    transition: transform var(--anim_duration) linear;
}

.ds-acc-item-btn[aria-expanded="true"]:after {
    transform: rotate(180deg);
}

.ds-acc-item-content {
    padding-block: 0.75rem;
    padding-inline: 3.5rem 0;

    font-size: 1rem;
		font-weight: 300;
    line-height: 1.5;
    letter-spacing: 0.0175rem;

    display: none;
}

.ds-acc-item-content-link .ds-btn {
	line-height: 1.5;
}

@media (max-width:767.98px) {
	.ds-accwm-end--below {
		order: -1;
	}
}

@media (min-width:992px) {
	.ds-acc-item-btn {
		font-weight: 600;
	}
}

@media (min-width:1200px) {
	.ds-acc-item-content{
		padding-inline: 3.9375rem 0;
	}
    .ds-accwm__body {
        flex-direction: row;
        justify-content: space-between;
        gap: 2rem;
    }

		.ds-accwm--reverse .ds-accwm__body {
			flex-direction: row-reverse;
		}

    .ds-accwm--reverse_columns .ds-accwm__body {
        flex-direction: row-reverse;
    }

    .ds-accwm-start {
        flex: 0 0 100%;
        max-width: 40.75rem;
    }

    .ds-accwm-end {
        flex: 1;
        max-width: 43.75rem;
    }

		.ds-accwm-start .ds-section-in-title {
			max-width: 28.75rem;
		}

    .ds-accwm-descr {
        margin-block-start: 2.5rem;
        max-width: 28.75rem;
    }

    .ds-accwm-media-image {
        border-radius: 1.25rem;
    }

    .ds-accwm .ds-acc {
        margin-block-start: 2.5rem;
    }

    .ds-acc {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
    }

    .ds-acc-item {
        border-block-end: 0.0625rem solid var(--border_color);
    }

    .ds-acc-item-btn {
        font-size: 1rem;
        line-height: 1.5;
        letter-spacing: 0.0225rem;

        padding-block: 1.5rem;

        border: none;

        gap: 1rem;
    }

    .ds-acc-item-btn-index {
        margin-block: -0.6875rem 0;
    }

    .ds-acc-item-btn-index:before {
			font-size: 2rem;
			line-height: 1.1875;
		}

    .ds-acc-item-content {
        font-size: 1rem;
        line-height: 1.5;
        letter-spacing: 0.02rem;

        padding-block: 0 1rem;
    }
}

@media (min-width:1400px) {
    .ds-accwm-end {
        max-width: 43.75rem;
    }
}
